package org.gcube.dataanalysis.dataminer.poolmanager.service;

import java.io.File;
import java.io.FileNotFoundException;
***REMOVED***
import java.util.Scanner;

import org.gcube.dataanalysis.dataminer.poolmanager.datamodel.Algorithm;
***REMOVED***
import org.gcube.dataanalysis.dataminer.poolmanager.util.ClusterBuilder;
import org.gcube.dataanalysis.dataminer.poolmanager.util.impl.ClusterBuilderProduction;
import org.gcube.dataanalysis.dataminer.poolmanager.util.impl.ClusterBuilderStaging;
import org.gcube.dataanalysis.dataminer.poolmanager.util.impl.SVNUpdaterProduction;
import org.gcube.dataanalysis.dataminer.poolmanager.util.impl.SVNUpdaterStaging;
***REMOVED***
***REMOVED***
import org.tmatesoft.svn.core.SVNException;


public class DataminerPoolManager {

***REMOVED***
	private SVNUpdaterStaging svnUpdaterStaging;	
	private SVNUpdaterProduction svnUpdaterProduction;

	public DataminerPoolManager() {
		this.logger = LoggerFactory.getLogger(this.getClass());
		try {
			***REMOVED***TODO: read this from configuration
			this.svnUpdaterStaging = new SVNUpdaterStaging();
			this.svnUpdaterProduction = new SVNUpdaterProduction();
	***REMOVED*** catch (SVNException e) {
			this.logger.error("SVN Exception",e);
	***REMOVED***
***REMOVED***


	public String stageAlgorithm(Algorithm algo,String targetVRE, String category, String algorithm_type/*,String env*/) throws IOException, InterruptedException 
	{
		this.logger.debug("Stage algorithm");
		this.logger.debug("Algo "+algo);
		this.logger.debug("Category "+category);
		this.logger.debug("Algo type "+algorithm_type);
		ClusterBuilder stagingClusterBuilder = new ClusterBuilderStaging();
		Cluster stagingCluster = stagingClusterBuilder.getDataminerCluster();
		***REMOVED***Cluster rProtoCluster = ClusterBuilder.getRProtoCluster();
		DMPMJob job = new StagingJob(this.svnUpdaterStaging, algo, stagingCluster, /*rProtoCluster,*/ targetVRE, category, algorithm_type/*,env*/);
		String id = job.start();
		return id;
***REMOVED***

	public String publishAlgorithm(Algorithm algo, String targetVRE, String category, String algorithm_type/*, String env*/) throws IOException, InterruptedException 
	{
		this.logger.debug("publish algorithm");		
		this.logger.debug("Algo "+algo);
		this.logger.debug("Category "+category);
		this.logger.debug("Algo type "+algorithm_type);
		ClusterBuilder productionClusterBuilder = new ClusterBuilderProduction();
		Cluster prodCluster = productionClusterBuilder.getDataminerCluster();
		DMPMJob job = new ProductionPublishingJob(this.svnUpdaterProduction, algo, prodCluster, targetVRE, category, algorithm_type/*,env*/);
		String id = job.start();
		return id;
***REMOVED***


	public String getLogById(String id) throws FileNotFoundException{
		
		***REMOVED***TODO: load dir from configuration file
		this.logger.debug("Getting log by id "+id);
		File path = new File(System.getProperty("user.home") + File.separator + "dataminer-pool-manager/jobs/"
				+ id);
		
		Scanner scanner = new Scanner(path);
		String response =  scanner.useDelimiter("\\Z").next();
		this.logger.debug("Response "+response);
		scanner.close();
		return response;
***REMOVED***
	
	
	public String getMonitorById(String id) throws FileNotFoundException{
		
		this.logger.debug("Getting monitor by id "+id);
		***REMOVED***TODO: load dir from configuration file
		File path = new File(System.getProperty("user.home") + File.separator + "dataminer-pool-manager/jobs/"
				+ id + "_exitStatus");
		Scanner scanner = new Scanner(path);
		String response=  scanner.useDelimiter("\\Z").next();
		this.logger.debug("Response "+response);
		scanner.close();
		return response;
***REMOVED***
	
	
	
	
***REMOVED***
